
Redmine - Defect #6935

Upgrading 1.0.1 to 1.0.3

2010-11-18 15:08 - Alexey Aleynikov

Status: Closed Start date: 2010-11-18

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.3

Description

Hello!

I did everything from http://www.redmine.org/wiki/redmine/RedmineUpgrade :

hosting_aleynikov@lithium:~/projects/redmine$ cd redmine-1.0.3

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ rake generate_session_store

(in /var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ rake db:migrate RAILS_ENV=production

(in /var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

(in /var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

Cannot find old migration table - assuming nothing needs to be done

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ rake db:migrate_plugins RAILS_ENV=production

(in /var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...

Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating classic_pagination...

Migrating coderay-0.9.2...

Migrating google_analytics_plugin...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating rfpdf...

Migrating ruby-net-ldap-0.0.4...

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ rake tmp:cache:clear(in

/var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ rake tmp:sessions:clear

(in /var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

hosting_aleynikov@lithium:~/projects/redmine/redmine-1.0.3$ ls

app     db   extra  lib  public    README.rdoc  test  vendor

config  doc  files  log  Rakefile  script       tmp

.......but my version 1.0.1 don't want to upgrade to 1.0.3, because

1) production.log updating in old folder (version 1.0.1)

2) Information in Administration-Information show this: "Redmine 1.0.1.stable (MySQL)"

Please help to finish it.

Thank to all.

History
http://www.redmine.org/wiki/redmine/RedmineUpgrade


#1 - 2010-11-18 19:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, we do not provide tech support here.

#2 - 2010-11-18 20:24 - Holger Just

Please ask in the forums.

#3 - 2010-11-22 19:57 - Alexey Aleynikov

User Paulo Santos gave me the way that fix my problem:

"It seems you made a new dir to host Redmine 1.0.3, but kept the old one... then, accessing your Redmine URL, it keeps saying 1.0.1, right?

Did you, by any chance, forgot to update the Apache config to the new location (assuming you're using Apache) ? :) "

Thank to him!!!!!!!!

#4 - 2010-11-22 19:57 - Alexey Aleynikov

- % Done changed from 0 to 100

#5 - 2011-10-25 12:40 - Jasper Hope
